<template lang="pug">
Modal.b-error-report(title='Full error report')
  template(v-slot:default='')
    Collapsible(v-for="error in errors" :key="error.id + '-' + error.timestamp")
      template(v-slot:header='')
        .text(role='alert' :class='alertClass(error)')
          strong {{ error.timestamp | b-luxon("yyyy-MM-dd HH:mm:ss ZZ") }}
          |  {{ error.message }}
      .col-12(v-if='hasBody(error)')
        MarkdownViewer(:value='errorBody(error)' :options='{ html: true }')
      .col-12
        button.btn.btn-light.btn-sm.float-right(@click='errorConsole(error)')
          i.fa.fa-terminal
        pre
          code {{ errorDetails(error) }}
        pre {{ errorStack(error) }}
  template(v-if='errors.length > 0' v-slot:footer='')
    .d-flex.justify-content-end
      button.x-mute-btn.btn.btn-outline-secondary.mr-2(@click='toggleMuteAlerts()'
                                                       :title='muteAlerts ? "Unmute Errors" : "Mute Errors"')
        i.fas(:class='[ muteAlerts ? "fa-bell-slash" : "fa-bell" ]')
      button.x-clean-btn.btn.btn-outline-danger(@click='clearErrors()' title="Clear Errors")
        i.fa.fa-trash.mr-2
        span Clear Errors
</template>

<script>

export { default } from "./BaseErrorReport.vue.js";

</script>
